﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SLSimpleMap.UserControls
{
	public partial class ToggleMenuUC : UserControl
	{
		public ToggleMenuUC()
		{
			// Required to initialize variables
			InitializeComponent();
            this.Loaded += new RoutedEventHandler(UserControl_Loaded);
        }

        public Boolean _menuOpened = false;

        void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            this.ToggleMenu.Click += (s1, e1) =>
            {
                if (_menuOpened == true)
                    CloseMenu();
                else if (_menuOpened == false)
                    OpenMenu();
            };
            this.MenuBackground.MouseLeftButtonDown += (s1, e1) =>
            {
                CloseMenu();
            };
        }

        public void OpenMenu()
        {
            if (_menuOpened == false)
            {
                Storyboard sb = null;
                sb = this.Resources["OpeningMenu"] as Storyboard;
                sb.Completed += (s1, e1) =>
                {
                    _menuOpened = true;
                };
                sb.Begin();
            }
        }

        public void CloseMenu()
        {
            if (_menuOpened == true)
            {
                Storyboard sb = null;
                sb = this.Resources["ClosingMenu"] as Storyboard;
                sb.Completed += (s1, e1) =>
                {
                    this.ToggleMenu.Focus();
                    _menuOpened = false;
                };
                sb.Begin();
            }
        }
	}
}